"use strict";
exports.__esModule = true;
exports.alias = void 0;
var fs = require("fs");
var path = require("path");
var toJestConfig_1 = require("./converters/toJestConfig");
var toWebpackConfig_1 = require("./converters/toWebpackConfig");
var aliasConfigPath = path.resolve(process.cwd(), 'alias.config.js');
if (!fs.existsSync(aliasConfigPath)) {
    throw new Error("Failed to configure path alias: configuration not found at \"" + aliasConfigPath + "\".");
}
var aliasConfig = require(aliasConfigPath);
exports.alias = {
    jest: toJestConfig_1.toJestConfig(aliasConfig),
    webpack: toWebpackConfig_1.toWebpackConfig(aliasConfig)
};
